#
# spec file for package msr-tools
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           msr-tools
Version:        1.3
Release:        bp155.3.3.1
Summary:        Tool for reading and writing MSRs (model specific register)
License:        GPL-2.0+
Group:          System/Base
Url:            https://github.com/01org/msr-tools
Source:         https://github.com/01org/msr-tools/archive/%{name}-%{version}.tar.gz
Source1:        COPYING
Patch1:         %{name}-xen_physical_msr_support.patch
Patch2:         %{name}-expand-upper-limit-of-processor-number-for-cpuid.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
Tool to read and write MSRs (model specific registers). You have to
load the "msr" module manually ("modprobe msr").

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch1 -p1
%patch2 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/%{_sbindir}
cp %{SOURCE1} .
install -m 0755 rdmsr wrmsr %{buildroot}/%{_sbindir}
install -m 0755 cpuid %{buildroot}/%{_sbindir}/cpuid_msr_tools

%files
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/*

%changelog
* Wed Oct  4 2023 Valentin Lefebvre <valentin.lefebvre@suse.com>
- Expand upper limit of processor number for cpuid
  msr-tools-expand-upper-limit-of-processor-number-for-cpuid.patch
  [bsc#1215573]
* Tue Jun 21 2016 trenn@suse.de
- Rename cpuid binary to cpuid_msr_tools in favor for the more important
  cpuid project/tool (fate#319512)
  * Modify: msr-tools-xen_physical_msr_support.patch
  refresh.
* Mon Apr 20 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
- really remove not needed patch:
  msr-tools-fix-compile-warning.diff
* Tue Nov 26 2013 trenn@suse.de
- Update to latest version 1.3 (cpuid tool added)
  bnc#844336
- Remove not needed patch:
  msr-tools-fix-compile-warning.diff
* Tue Aug 16 2011 trenn@suse.de
- Add compile fix (+#define _XOPEN_SOURCE 500) again
* Tue Aug 16 2011 trenn@suse.de
- MSR (Machine Specific Registers) should only exist on X86.
  - > restrict msr-tools to X86 architectures
* Mon Aug 15 2011 trenn@suse.de
- Update to latest git version (e37ee2a529baacde26b25795b4c3dec1c641862e)
  This is Version 1.2 plus some even newer patches
- Add Xen physical CPU support
* Tue Oct 27 2009 meissner@suse.de
- also add "#define _XOPEN_SOURCE 500" for pwrite()
* Thu Oct  9 2008 bwalle@suse.de
- Add "#define _XOPEN_SOURCE 500" to fix compile warning that
  pread() is undefined.
* Thu Apr 10 2008 bwalle@suse.de
- new package
